apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: dex
    environemnt: prod
    system: gitops
    team: calamari
  name: dex-prod
  namespace: openshift-gitops
spec:
  destination:
    namespace: dex-prod
    server: https://kubernetes.default.svc
  project: calamari
  source:
    path: kustomize/overlays/prod
    repoURL: https://gitlab.com/arbetsformedlingen/devops/dex-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
